Prefix your issue title with either [BUG] or [RFC]. If you open an [RFC] it is
expected that you are willing to help out in the implementation of said feature
request.

This issue tracker is NOT for support questions. If you have a question, please
join us in the community, on one of our social platforms like Slack, IRC or the
forum: http://bolt.cm/community.

-----------

A brief description of the issue goes here. If you haven't yet done so, please
read the 'contributing guidelines' thoroughly. 

See: https://github.com/bolt/bolt/blob/master/.github/CONTRIBUTING.md

Details
-------

 - Relevant Bolt Version: [ 3.2 | 3.3 | master ]
 - Install type: [ GitHub checkout | Zip/tarball install | Composer install ]
 - PHP version: [ 5.5 | 5.6 | 7.0 ]
 - Used web server: [ Apache | Nginx ] version [ version ]
 - For UX/UI issues: [ browser name and version ]


Reproduction
------------

If you're filing a bug, please describe how to reproduce it. Include as much
relevant information as possible, such as:
​
 1. **Bug summary**: 
    * Write a short summary of the bug
    * Try to pinpoint it as much as possible
    * Try to state the _actual problem_, and not just what you _think_ the 
      solution might be.
 2. **Specifics**:
    * Mention the URL where this bug occurs, if applicable
    * What version of Bolt are you using (down to the very last digit!)
    * What method did you use to install Bolt
    * What browser and version you are using
    * Please mention if you've checked it in other browsers as well 
    * Please include *full error messages* and *screenshots* if possible
 3. **Steps to reproduce**:
    * Clearly mention the steps to reproduce the bug
 4. **Expected result**: 
    * What did you _expect_ that would happen on your Bolt site?
    * Describe the intended outcome after you did the steps mentioned before
 5. **Actual result**: 
    * What is the actual result of the above steps? 
    * Describe the behaviour of the bug 
    * Please, please include **error messages** and screenshots. They might mean 
      nothing to you, but they are _very_ helpful to us.
